⏺️Get Payment Status (server-to-server)
An essential aspect of managing your payments is having the ability to retrieve and analyze their statuses.
Otherwise you can just call the following API to retrieve a payment status by client request payment id.
Get Payment Status
The API will return a JSON object containing the status details of the requested payment.
Get payment details
GET https://sandbox.coinbar.io/coinbar/api/v2/pay/gateway/payment/{{payment_request_id}}/status
Path Parameters
Name
Type
Description
payment_request_id
String
Payment Request Id used to request the payment
Headers
Name
Type
Description
CBPAY-API-KEY*
String
{{SERVICE_CLIENT_ID}}
Content-Type
String
application/json
SIGNATURE
String
{{SIGNATURE_TOKEN}}
HMAC SHA-256 body validation
Last updated